use strict;
use warnings;
use Module::Build;

my $build = Module::Build->new(
	module_name    => 'Slapd::Backend::Cyrus',
	license        => 'perl',
	requires => {
		'perl'                          => '5.010000',
		'base'                          => 0,
		'constant'                      => 0,
		'strict'                        => 0,
		'utf8'                          => 0,
		'warnings'                      => 0,
		'BerkeleyDB'                    => 0,
		'Class::Accessor::Lvalue::Fast' => 0,
		'Cyrus::IMAP::Admin'            => 0,
		'Exporter'                      => 0,
		'IO::String'                    => 0,
		'List::MoreUtils'               => 0,
		'Net::LDAP::Constant'           => 0,
		'Net::LDAP::Entry'              => 0,
		'Net::LDAP::LDIF'               => 0,
		'Sys::Syslog'                   => 0,
	},
	build_requires => {
		'lib'           => 0,
		'FindBin'       => 0,
		'IO::File'      => 0,
		'Module::Build' => 0,
		'Net::LDAP'     => 0,
		'POSIX'         => 0,
		'Test::More'    => 0,
		'Test::Class'   => 0,
	},
	meta_merge => {
		resources => {
			homepage   => 'http://sourceforge.net/projects/slapd-cyrus',
			repository => 'https://slapd-cyrus.svn.sourceforge.net/svnroot/slapd-cyrus',
		},
	},
);
$build->create_build_script();
